package msgstore

import (
	"fmt"

	lib "git.sr.ht/~cco/go-scopes"
	"git.sr.ht/~cco/go-scopes/storage/sql"
)

func Store(db *sql.Storage, msg lib.Message) {
	q := fmt.Sprintf(sql_insert_msg, "messages")
	db.Exec(q, msg.Domain(), msg.Action(), msg.Class(), msg.Item(), msg.Payload())
}

const (
	sql_insert_msg = `insert into %s (domain, action, class, item, payload)
		values ($1, $2, $3, $4, $5)`
)
